org.apache.solr.common.cloud

## Class ZkDynamicConfig.Server

- java.lang.Object
- - org.apache.solr.common.cloud.ZkDynamicConfig.Server

Enclosing class:
  ZkDynamicConfig

    public static class ZkDynamicConfig.Server
    extends Object

Object representing one line in Zk dynamic config

### Field Summary

Fields
`String` `address`
`Integer` `clientPort`
`String` `clientPortAddress`
`Integer` `leaderElectionPort`
`Integer` `leaderPort`
`String` `role`
`Integer` `serverId`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ZkDynamicConfig.Server` `parseLine(String line)` Parse a single zk config server line
`String` `resolveClientPortAddress()` Resolve the most likely address, first trying 'clientPortAddress', falling back to 'address'

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverId

    public final Integer serverId

#### address

    public final String address

#### leaderPort

    public final Integer leaderPort

#### leaderElectionPort

    public final Integer leaderElectionPort

#### role

    public final String role

#### clientPortAddress

    public final String clientPortAddress

#### clientPort

    public final Integer clientPort

### Method Detail

#### resolveClientPortAddress

    public String resolveClientPortAddress()

Resolve the most likely address, first trying 'clientPortAddress', falling back to 'address'

Returns:
  a string with client address, without port

#### parseLine

    public static ZkDynamicConfig.Server parseLine(String line)

Parse a single zk config server line